io.vertx.groovy.servicediscovery.types

## Class HttpEndpoint_GroovyStaticExtension

- java.lang.Object
- - io.vertx.groovy.servicediscovery.types.HttpEndpoint_GroovyStaticExtension

-     public class HttpEndpoint_GroovyStaticExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpEndpoint_GroovyStaticExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<String,Object>` | `createRecord(HttpEndpoint j_receiver, String name, boolean ssl, String host, int port, String root, Map<String,Object> metadata)`
    `static Map<String,Object>` | `createRecord(HttpEndpoint j_receiver, String name, String host)`
    `static Map<String,Object>` | `createRecord(HttpEndpoint j_receiver, String name, String host, int port, String root)`
    `static Map<String,Object>` | `createRecord(HttpEndpoint j_receiver, String name, String host, int port, String root, Map<String,Object> metadata)`
    `static void` | `getClient(HttpEndpoint j_receiver, ServiceDiscovery discovery, java.util.function.Function<Map<String,Object>,Boolean> filter, Handler<AsyncResult<HttpClient>> resultHandler)`
    `static void` | `getClient(HttpEndpoint j_receiver, ServiceDiscovery discovery, java.util.function.Function<Map<String,Object>,Boolean> filter, Map<String,Object> conf, Handler<AsyncResult<HttpClient>> resultHandler)`
    `static void` | `getClient(HttpEndpoint j_receiver, ServiceDiscovery discovery, Map<String,Object> filter, Handler<AsyncResult<HttpClient>> resultHandler)`
    `static void` | `getClient(HttpEndpoint j_receiver, ServiceDiscovery discovery, Map<String,Object> filter, Map<String,Object> conf, Handler<AsyncResult<HttpClient>> resultHandler)`
    `static void` | `getWebClient(HttpEndpoint j_receiver, ServiceDiscovery discovery, java.util.function.Function<Map<String,Object>,Boolean> filter, Handler<AsyncResult<WebClient>> resultHandler)`
    `static void` | `getWebClient(HttpEndpoint j_receiver, ServiceDiscovery discovery, java.util.function.Function<Map<String,Object>,Boolean> filter, Map<String,Object> conf, Handler<AsyncResult<WebClient>> resultHandler)`
    `static void` | `getWebClient(HttpEndpoint j_receiver, ServiceDiscovery discovery, Map<String,Object> filter, Handler<AsyncResult<WebClient>> resultHandler)`
    `static void` | `getWebClient(HttpEndpoint j_receiver, ServiceDiscovery discovery, Map<String,Object> filter, Map<String,Object> conf, Handler<AsyncResult<WebClient>> resultHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpEndpoint_GroovyStaticExtension

          public HttpEndpoint_GroovyStaticExtension()

  - ### Method Detail

    - #### createRecord

          public static Map<String,Object> createRecord(HttpEndpoint j_receiver,
                                                        String name,
                                                        String host,
                                                        int port,
                                                        String root,
                                                        Map<String,Object> metadata)

    - #### createRecord

          public static Map<String,Object> createRecord(HttpEndpoint j_receiver,
                                                        String name,
                                                        boolean ssl,
                                                        String host,
                                                        int port,
                                                        String root,
                                                        Map<String,Object> metadata)

    - #### createRecord

          public static Map<String,Object> createRecord(HttpEndpoint j_receiver,
                                                        String name,
                                                        String host,
                                                        int port,
                                                        String root)

    - #### createRecord

          public static Map<String,Object> createRecord(HttpEndpoint j_receiver,
                                                        String name,
                                                        String host)

    - #### getClient

          public static void getClient(HttpEndpoint j_receiver,
                                       ServiceDiscovery discovery,
                                       Map<String,Object> filter,
                                       Handler<AsyncResult<HttpClient>> resultHandler)

    - #### getWebClient

          public static void getWebClient(HttpEndpoint j_receiver,
                                          ServiceDiscovery discovery,
                                          Map<String,Object> filter,
                                          Handler<AsyncResult<WebClient>> resultHandler)

    - #### getClient

          public static void getClient(HttpEndpoint j_receiver,
                                       ServiceDiscovery discovery,
                                       Map<String,Object> filter,
                                       Map<String,Object> conf,
                                       Handler<AsyncResult<HttpClient>> resultHandler)

    - #### getWebClient

          public static void getWebClient(HttpEndpoint j_receiver,
                                          ServiceDiscovery discovery,
                                          Map<String,Object> filter,
                                          Map<String,Object> conf,
                                          Handler<AsyncResult<WebClient>> resultHandler)

    - #### getClient

          public static void getClient(HttpEndpoint j_receiver,
                                       ServiceDiscovery discovery,
                                       java.util.function.Function<Map<String,Object>,Boolean> filter,
                                       Handler<AsyncResult<HttpClient>> resultHandler)

    - #### getWebClient

          public static void getWebClient(HttpEndpoint j_receiver,
                                          ServiceDiscovery discovery,
                                          java.util.function.Function<Map<String,Object>,Boolean> filter,
                                          Handler<AsyncResult<WebClient>> resultHandler)

    - #### getClient

          public static void getClient(HttpEndpoint j_receiver,
                                       ServiceDiscovery discovery,
                                       java.util.function.Function<Map<String,Object>,Boolean> filter,
                                       Map<String,Object> conf,
                                       Handler<AsyncResult<HttpClient>> resultHandler)

    - #### getWebClient

          public static void getWebClient(HttpEndpoint j_receiver,
                                          ServiceDiscovery discovery,
                                          java.util.function.Function<Map<String,Object>,Boolean> filter,
                                          Map<String,Object> conf,
                                          Handler<AsyncResult<WebClient>> resultHandler)

Copyright © 2017. All rights reserved.